package com.yunfeiyun.agmp.fms.scheduler;

import com.yunfeiyun.agmp.fms.service.IFmsSolarService;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.stereotype.Component;

import javax.annotation.Resource;

@Component
public class FmsSolarScheduler {
    private static final Logger log = LoggerFactory.getLogger(FmsSolarScheduler.class);
    @Resource
    private IFmsSolarService fmsSolarService;

    /**
     * 更新24节气的日期
     */
//    @Scheduled(cron = "0 0 0 1 1 ?")
    public void updateFmsSolarAll(){
        log.info("更新24节气的开始时间开始");
        int result = fmsSolarService.updateFmsSolarAll();
        log.info("更新24节气的开始时间结束, 结果:{}",result==0?"失败":"成功");
    }
}
